test Drupal site working on Koality Theme Builder
Você não pode selecionar mais de 25 tópicos Os tópicos devem começar com uma letra ou um número, podem incluir traços ('-') e podem ter até 35 caracteres.
 
 
 
 
 
 

114 linhas
3.7 KiB

  1. {
  2. "name": "codekoalas/koality-drupal",
  3. "description": "Project template for Drupal 8 projects with composer: with some pre-installed things needed on every site",
  4. "type": "project",
  5. "license": "GPL-2.0+",
  6. "authors": [
  7. {
  8. "name": "",
  9. "role": ""
  10. }
  11. ],
  12. "repositories": [
  13. {
  14. "type": "composer",
  15. "url": "https://packages.drupal.org/8"
  16. }
  17. ],
  18. "require": {
  19. "php": ">=5.6",
  20. "composer/installers": "^1.2",
  21. "cweagans/composer-patches": "^1.6.5",
  22. "drupal-composer/drupal-scaffold": "^2.5",
  23. "drupal/admin_toolbar": "~1.0",
  24. "drupal/advagg": "^3.5",
  25. "drupal/backup_migrate": "^4.0",
  26. "drupal/blazy": "~1.0",
  27. "drupal/block_blacklist": "^1.0",
  28. "drupal/claro": "^1.0",
  29. "drupal/components": "^1.1",
  30. "drupal/config_export_ignore": "^1.0@RC",
  31. "drupal/config_ignore": "^2.1",
  32. "drupal/config_split": "^1.3",
  33. "drupal/config_update": "^1.5",
  34. "drupal/console": "^1.0.2",
  35. "drupal/core": "~8.0",
  36. "drupal/ctools": "~3.0",
  37. "drupal/devel": "^1.2",
  38. "drush/drush": "^9.0.0",
  39. "drupal/field_group": "^1.0",
  40. "drupal/focal_point": "^1.0",
  41. "drupal/imageapi_optimize": "^2.0@alpha",
  42. "drupal/inline_entity_form": "^1.0@RC",
  43. "drupal/layout_builder_restrictions": "^2.2",
  44. "drupal/layout_builder_st": "^1.0@alpha",
  45. "drupal/linkit": "~4.0",
  46. "drupal/masquerade": "^2.0@beta",
  47. "drupal/menu_link_attributes": "^1.0",
  48. "drupal/metatag": "^1.9",
  49. "drupal/module_filter": "~3.0",
  50. "drupal/paragraphs": "^1.2",
  51. "drupal/pathauto": "~1.0",
  52. "drupal/prlp": "^1.2",
  53. "drupal/token": "~1.0",
  54. "drupal/twig_tweak": "^2.0",
  55. "drupal/ui_patterns": "^1.1",
  56. "drupal/webform": "^5.3",
  57. "vlucas/phpdotenv": "^2.4",
  58. "webflo/drupal-finder": "^1.0.0",
  59. "webmozart/path-util": "^2.3",
  60. "zaporylie/composer-drupal-optimizations": "^1.0"
  61. },
  62. "require-dev": {
  63. "webflo/drupal-core-require-dev": "^8.7.0"
  64. },
  65. "conflict": {
  66. "drupal/drupal": "*"
  67. },
  68. "minimum-stability": "dev",
  69. "prefer-stable": true,
  70. "config": {
  71. "sort-packages": true
  72. },
  73. "autoload": {
  74. "classmap": [
  75. "scripts/composer/ScriptHandler.php"
  76. ],
  77. "files": ["load.environment.php"]
  78. },
  79. "scripts": {
  80. "pre-install-cmd": [
  81. "DrupalProject\\composer\\ScriptHandler::checkComposerVersion"
  82. ],
  83. "pre-update-cmd": [
  84. "DrupalProject\\composer\\ScriptHandler::checkComposerVersion"
  85. ],
  86. "post-install-cmd": [
  87. "DrupalProject\\composer\\ScriptHandler::createRequiredFiles"
  88. ],
  89. "post-update-cmd": [
  90. "DrupalProject\\composer\\ScriptHandler::createRequiredFiles"
  91. ]
  92. },
  93. "extra": {
  94. "composer-exit-on-patch-failure": true,
  95. "patchLevel": {
  96. "drupal/core": "-p2"
  97. },
  98. "installer-paths": {
  99. "docroot/core": ["type:drupal-core"],
  100. "docroot/libraries/{$name}": ["type:drupal-library"],
  101. "docroot/modules/contrib/{$name}": ["type:drupal-module"],
  102. "docroot/profiles/contrib/{$name}": ["type:drupal-profile"],
  103. "docroot/themes/contrib/{$name}": ["type:drupal-theme"],
  104. "drush/contrib/{$name}": ["type:drupal-drush"]
  105. },
  106. "drupal-scaffold": {
  107. "initial": {
  108. ".editorconfig": "../.editorconfig",
  109. ".gitattributes": "../.gitattributes"
  110. }
  111. }
  112. }
  113. }